var landMenus=new Array();
var landOwner=null;

function CreateMenu()
{
	var menu=document.createElement('TABLE');
	menu.id='menu';
	document.body.appendChild(menu);
	menu.style.cssText="width:200px; position:absolute; display: none; background-color: white; border-bottom: 1px solid Black; border-top: 1px solid Black; border-left: 1px solid Black; border-right: 1px solid Black; font-family: Verdana, Arial; font-size: 12px";
}

function MakeMenu(data)
{
	if(data==null) return;
	var menu=document.getElementById("menu");
	while(menu.rows.length>0)
		menu.deleteRow(0);
	for(i=0; i<data.length; i++) {
		var tr=menu.insertRow(-1);
		var td=tr.insertCell(-1);
		if(data[i][0]=='') {
			td.appendChild(document.createTextNode('--'));
			var td=tr.insertCell(-1);
			td.appendChild(document.createTextNode(' '));
			continue;
	  }
		if(data[i][2]!='') {
			var img=document.createElement('IMG');
			img.src=data[i][2];
			img.width=16;
			img.height=16;
			td.appendChild(img);
			td.appendChild(document.createTextNode(' '));
		}
		var td=tr.insertCell(-1);
		var a=document.createElement('A');
		a.href=data[i][1];
		a.title=data[i][0];
		a.appendChild(document.createTextNode(data[i][0]));
		a.style.color='Black';
		td.appendChild(a);
		td.onmouseover=MenuItemOver;
		td.onmouseout=MenuItemOut;
		td.style.cssText="padding-left: 3px; padding-right: 5px;";
	}
}

function MenuItemOver(e)
{
	if(ie)
		var obj=window.event.srcElement;
	else
		var obj=e.target;
	if(obj.tagName=='A'||obj.tagName=='IMG') {
		obj.style.color='white';
		obj=obj.parentNode;
	}
	if(obj.childNodes.item(0).tagName=='A')
		obj.childNodes.item(0).style.color='white';
	else
		obj.childNodes.item(2).style.color='white';
	obj.style.backgroundColor='#bdb76b';
}

function MenuItemOut(e)
{
	if(ie)
		var obj=window.event.srcElement;
	else
		var obj=e.target;
	if(obj.tagName=='A'||obj.tagName=='IMG') {
		obj.style.color='black';
		obj=obj.parentNode;
	} 
	if(obj.childNodes.item(0).tagName=='A')
		obj.childNodes.item(0).style.color='black';
	else
		obj.childNodes.item(2).style.color='black';
	obj.style.backgroundColor='white';
}

function InitMenu(obj, menuid)
{
	if(document.getElementById('menu')==null)
		CreateMenu();
	if(obj==null) return false;
	obj.oncontextmenu=ShowMenu;
	obj.setAttribute('landMenu', menuid)
	return true;
}

function ShowMenu(e)
{
	if(ie) {
		var obj=window.event.srcElement;
		var left=window.event.clientX+document.body.scrollLeft;
		var top=window.event.clientY+document.body.scrollTop;
	} else {
		var obj=e.target;
		var left=e.pageX;
		var top=e.pageY;
	}
	if((document.body.clientWidth-left)<200)
		left-=200;
	while(!obj.getAttribute('landMenu')&&obj.parentNode!=null) {
		obj=obj.parentNode;
	}
	if(!obj.getAttribute('landMenu')) return true;
	var menu=document.getElementById('menu');
	if(!menu.getAttribute('landMenu')||menu.getAttribute('landMenu')!=obj.getAttribute('landMenu')) {
		MakeMenu(landMenus[obj.getAttribute('landMenu')]);
	}
	menu.setAttribute('landMenu', obj.getAttribute('landMenu'));
	menu.style.left=left;
	menu.style.top=top;
	menu.style.display='';
	document.onclick=HideMenu;
	landOwner=obj;
	return false;
}

function HideMenu()
{
	var menu=document.getElementById('menu');
	menu.style.display='none';
	document.onclick=null;
}
