-- phpMyAdmin SQL Dump
-- version 2.8.2.4
-- http://www.phpmyadmin.net
-- 
-- : localhost
--  :  08 2006 ., 19:02
--  : 4.1.10
--  PHP: 4.4.0
-- 
-- : `landscape`
-- 

-- --------------------------------------------------------

-- 
--   `lse_actions`
-- 

CREATE TABLE `lse_actions` (
  `id` bigint(20) NOT NULL auto_increment,
  `room` bigint(20) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `type` int(3) NOT NULL default '0',
  `owner` varchar(32) NOT NULL default '',
  `target` varchar(32) NOT NULL default '',
  `data` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `room` (`room`),
  KEY `owner` (`owner`),
  KEY `target` (`target`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_activations`
-- 

CREATE TABLE `lse_activations` (
  `uid` int(11) NOT NULL default '0',
  `hash` varchar(32) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  UNIQUE KEY `hash` (`hash`),
  KEY `timer` (`time`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_avatars`
-- 

CREATE TABLE `lse_avatars` (
  `id` int(11) NOT NULL auto_increment,
  `file` varchar(48) NOT NULL default '',
  `name` varchar(32) NOT NULL default '',
  `status` enum('act','del') NOT NULL default 'act',
  `owner` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `file` (`file`),
  KEY `owner` (`owner`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_bans`
-- 

CREATE TABLE `lse_bans` (
  `param` varchar(255) NOT NULL default '',
  `date` bigint(20) NOT NULL default '0',
  UNIQUE KEY `param` (`param`,`date`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_checkers`
-- 

CREATE TABLE `lse_checkers` (
  `hash` varchar(32) NOT NULL default '',
  `number` varchar(8) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  UNIQUE KEY `hash` (`hash`),
  KEY `timer` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_mail`
-- 

CREATE TABLE `lse_mail` (
  `id` bigint(20) NOT NULL auto_increment,
  `from` varchar(32) NOT NULL default '',
  `to` varchar(32) NOT NULL default '',
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `status` smallint(6) NOT NULL default '0',
  `subject` varchar(128) NOT NULL default '',
  `message` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `to` (`to`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_online`
-- 

CREATE TABLE `lse_online` (
  `id` varchar(34) NOT NULL default '',
  `name` varchar(32) NOT NULL default '',
  `avatar` int(11) NOT NULL default '0',
  `posx` int(11) NOT NULL default '0',
  `posy` int(11) NOT NULL default '0',
  `action` int(11) NOT NULL default '0',
  `msg` int(11) NOT NULL default '0',
  `room` bigint(20) NOT NULL default '0',
  `ip` varchar(16) NOT NULL default '0.0.0.0',
  `perms` set('user','op','admin') NOT NULL default 'user',
  `sex` set('m','w') NOT NULL default 'm',
  `conn` set('re','ta') NOT NULL default 're',
  `uid` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `room` (`room`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_rooms`
-- 

CREATE TABLE `lse_rooms` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `image` varchar(128) NOT NULL default '',
  `enter` varchar(16) NOT NULL default '0:0',
  `script` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_smiles`
-- 

CREATE TABLE `lse_smiles` (
  `id` bigint(20) NOT NULL auto_increment,
  `type` enum('s','re') NOT NULL default 's',
  `search` varchar(64) NOT NULL default '',
  `replace` varchar(64) NOT NULL default '',
  `tpl` varchar(64) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_stat`
-- 

CREATE TABLE `lse_stat` (
  `UID` int(11) NOT NULL default '0',
  `time_stat` bigint(20) NOT NULL default '0',
  `msg_stat` bigint(20) NOT NULL default '0',
  `last_action` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`UID`),
  KEY `time_stat` (`time_stat`),
  KEY `msg_stat` (`msg_stat`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

-- 
--   `lse_users`
-- 

CREATE TABLE `lse_users` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(32) NOT NULL default '',
  `pass` varchar(32) NOT NULL default '',
  `avatar` int(11) NOT NULL default '0',
  `fullname` varchar(128) NOT NULL default '',
  `mail` varchar(128) NOT NULL default '',
  `site` varchar(128) NOT NULL default 'http://',
  `icq` varchar(16) NOT NULL default '',
  `about` text NOT NULL,
  `perms` set('inactive','ban','user','op','admin') NOT NULL default 'inactive',
  `sex` set('m','w') NOT NULL default 'm',
  `smiles` set('on','off') NOT NULL default 'on',
  `zoom` float NOT NULL default '1',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;
