/*******************************************************\
#
#	JavaScript Graphic Engine Online (GEO)
#		Copyright 2003-2006
#		    by Landgraph
#	      http://www.landgraph.ru/
#
\*******************************************************/

//: 0 - Microsoft, 1 - Other, 2 - Opera
var geoBrowser;
//,   
var geoDocument=null;
//,   ,    
var geoViewport=null;
//   
var geoViewportCoord=new Array();
//,  
var geoContainer=null;
//,   
var geoStandartUser=null;
//,    
var geoRoomEnter=new Array(20,20);
//,    
var geoLocalUser='';
//,     
var geoMessageTimers=new Array();
//,    
var geoMessageBoard=null;
//,    
var geoMessageWindow=null;
//,     
var geoSmileArray=new Array();
//-:    ?
var geoUseSmiles=1;
//,    
var geoZoomValue=1.0;
//,       
var geoUserSayWidth=150;
//,     
var geoMovingPos=null;





//---------------------------------------------------------------------------------------
// :
//doc - 
function geoInit(doc)
{
	if(doc==null) return 0;
	geoDocument=doc;
	return 1;
}
//---------------------------------------------------------------------------------------
//      Internet Explorer
function geoClick(owner)
{
	var left=owner.event.offsetX*geoZoomValue;
	var top=owner.event.offsetY*geoZoomValue;
	geoClickSource(top,left);
}
//---------------------------------------------------------------------------------------
//       
function geoClickNIE(event)
{
	var left=event.pageX;
	var top=event.pageY;
	geoClickSource(top,left);
}
//---------------------------------------------------------------------------------------
//     
function geoClickSource(top,left)
{
	var obj=geoNode(geoContainer, geoLocalUser);
	if(obj==null) return;
	var avatar=geoNode(obj, 'avatar');
	var text=geoNode(obj, 'text');
	var awidth=parseInt(avatar.width);
	var aheight=parseInt(avatar.height);
	left+=awidth;
	top+=aheight;
	if(left>geoViewportCoord[2])
		left=geoViewportCoord[2]-awidth;
	else
		left-=awidth+awidth/2;
	if(top>geoViewportCoord[3])
		top=geoViewportCoord[3]-aheight;
	else
		top-=aheight+aheight/2;
	if(left<geoViewportCoord[0]) left=geoViewportCoord[0];
	if(top<geoViewportCoord[1]) top=geoViewportCoord[1];
	obj.style.left=left+'px';
	obj.style.top=top+'px';
	if(left<(geoViewportCoord[0]+geoUserSayWidth))
	{
		text.style.left=geoNode(obj,'avatar').width+5;
	}
	else
	{
		text.style.left=-(geoUserSayWidth+5);
	}
}
//---------------------------------------------------------------------------------------
//     Flash
function geoClickSourceFlash(top,left)
{
	top=parseInt(top);
	left=parseInt(left);
	left+=geoViewportCoord[0];
	top+=geoViewportCoord[1];
	geoClickSource(top,left);
}
//---------------------------------------------------------------------------------------
//    .
//    img
function geoSetViewport(viewport)
{
	if(viewport==null) return 0;
	geoViewport=viewport;
	geoViewportCoord[0]=parseInt(geoViewport.style.top);
	geoViewportCoord[1]=parseInt(geoViewport.style.left);
  if(geoBrowser==0) {
  	geoViewportCoord[2]=geoViewportCoord[0]+geoViewport.width*geoZoomValue;
		geoViewportCoord[3]=geoViewportCoord[1]+geoViewport.height*geoZoomValue;
  } else {
		geoViewportCoord[2]=geoViewportCoord[0]+geoViewport.width;
	  geoViewportCoord[3]=geoViewportCoord[1]+geoViewport.height;
  }
}
//---------------------------------------------------------------------------------------
//  
function geoSetContainer(container)
{
	if(container==null) return 0;
	geoContainer=container;
}
//---------------------------------------------------------------------------------------
//   
function geoCreateDefaultUser(Def)
{
	if(geoContainer==null||Def==null) return;
	geoStandartUser=Def;
	Def.style.visibility='hidden';
	Def.style.position='absolute';
}
//---------------------------------------------------------------------------------------
//   
function geoCreateUser(username,avatar)
{
	if(geoStandartUser==null) return;
	if(geoNode(geoContainer,username)!=null) return;
	var NewUser=geoStandartUser.cloneNode(true);
	geoContainer.appendChild(NewUser);
	NewUser.style.visibility='visible';
	if(geoBrowser==0) {
        NewUser.style.top=geoRoomEnter[1]*geoZoomValue;
        NewUser.style.left=geoRoomEnter[0]*geoZoomValue;
	} else {
        NewUser.style.top=geoRoomEnter[1];
        NewUser.style.left=geoRoomEnter[0];
	}
	NewUser.id=username;
	var user_av=geoNode(NewUser,'avatar');
	var user_text=geoNode(NewUser,'text');
	var user_name=geoNode(NewUser,'username');
	user_av.alt=username;
	user_av.src='avatar.php?get='+avatar;
	user_text.innerHTML='';
	user_name.innerHTML=username;
	if(geoBrowser==0)
    	NewUser.style.zoom=geoZoomValue;
  if(username!=geoLocalUser)
	  window.frames['room'].InitMenu(NewUser, 'usermenu');
	else
	  window.frames['room'].InitMenu(NewUser, 'localmenu');
}
//---------------------------------------------------------------------------------------
// 
function geoDeleteUser(username)
{
	var user=geoNode(geoContainer,username);
	if(user==null) return;
	user.parentNode.removeChild(user);
}
//---------------------------------------------------------------------------------------
//  
function geoUserSay(username, msgtext, header)
{
	var user=geoNode(geoContainer,username);
	if(user==null) return;
	var text=geoNode(user, 'text');
    var lc=msgtext.toLowerCase();
	var isspan=lc.search(geoLocalUser.toLowerCase())>-1;
	if(isspan==false) {
		text.className='umessage';
		geoAddMessage(header+msgtext);
	}
	else {
		text.className='u2message';
		geoAddMessage('<span class="tm">'+header+msgtext+'</span>');
	}
	if(user==null) return;
	if(parseInt(user.style.left)<(geoViewportCoord[0]+geoUserSayWidth))
	{
		text.style.left=geoNode(user,'avatar').width+5;
	}
	else
	{
		text.style.left=-(geoUserSayWidth+5);
	}
	text.style.width=geoUserSayWidth;
	text.style.visibility='visible';
	text.innerHTML=msgtext;
	if(geoMessageTimers[username]&&geoMessageTimers[username]!=-1)
		clearTimeout(geoMessageTimers[username]);
	var sec=msgtext.length*250;
	if(sec<2000) sec=2000; else if(sec>10000) sec=10000;
	geoMessageTimers[username]=setTimeout('geoUserSayHide("'+username+'")', sec);
}
//---------------------------------------------------------------------------------------
//  
function geoUserSayHide(username)
{
	var user=geoNode(geoContainer,username);
	geoMessageTimers[username]=-1;
	if(user==null) return;
    var text=geoNode(user, 'text');
	text.style.width=0;
	text.style.visibility='hidden';
	text.innerHTML='';
}
//---------------------------------------------------------------------------------------
// 
function geoMoveObject(oname, x, y)
{
	var obj=geoNode(geoContainer,oname);
	if(obj==null) return;
	if(x<geoViewportCoord[0]) x=geoViewportCoord[0];
	if(y<geoViewportCoord[1]) y=geoViewportCoord[1];
	if(geoBrowser==0) {
    	obj.style.top=y*geoZoomValue;
    	obj.style.left=x*geoZoomValue;
	} else {
    	obj.style.top=y;
    	obj.style.left=x;
	}
}
//---------------------------------------------------------------------------------------
// 
function geoChangeAvatar(username, avatar)
{
	var user=geoNode(geoContainer,username);
	if(user==null) return;
	geoNode(user,'avatar').src='avatar.php?get='+avatar;
}
//---------------------------------------------------------------------------------------
//   
function geoSetMessageBoard(board)
{
	if(board==null) return 0;
	geoMessageBoard=board;
}
//---------------------------------------------------------------------------------------
//   
function geoSetMessageWindow(wnd)
{
	if(wnd==null) return 0;
	geoMessageWindow=wnd;
}
//---------------------------------------------------------------------------------------
//   
function geoAddMessage(message)
{
	if(geoMessageBoard==null) return;
	var smiled=String(message);
	if(geoUseSmiles==1)
	for(i=0; i<geoSmileArray.length; i++)
	{
		smiled=smiled.replace(geoSmileArray[i][0], '<img src="'+geoSmileArray[i][1]+'">');
	}
	geoMessageBoard.innerHTML+=smiled+'<br>';
	if(geoMessageWindow!=null) geoMessageWindow.scrollTo(1,100000000);
}
//---------------------------------------------------------------------------------------
//  
function geoSetLocalUser(username)
{
	geoLocalUser=username;
}
//---------------------------------------------------------------------------------------
//  
function geoGetObjectPos(oname)
{
	var obj=geoNode(geoContainer,oname);
	if(obj==null) return;
    var Result=new Array(parseInt(obj.style.left), parseInt(obj.style.top));
    return Result;
}
//---------------------------------------------------------------------------------------
//    
function geoGetUserInfo(username)
{
	for (key in geoUserList)
	{
    	if(geoUserList[key][0]==username)
    		return key;
	}
	return -1;
}
//---------------------------------------------------------------------------------------
// 
function geoChangeZoom(value)
{
	geoZoomValue=value;
	if(geoContainer==null||geoDocument==null) return;
	geoContainer.style.zoom=value;
    for(i=2; i<4; i++){
		geoViewportCoord[i]=geoViewportCoord[i]*value/geoZoomValue;
	}
}
//---------------------------------------------------------------------------------------
// 
function geoNode(parent, id)
{
	if(parent.childNodes==null) return null;
	var Nodes=parent.childNodes;
	if(Nodes==null) return null;
	var result;
	for(i=0; i<Nodes.length; i++) {
		if(Nodes.item(i).id==id) {
			return Nodes.item(i);
		}
	}
	return null;
}
//---------------------------------------------------------------------------------------
// 
function geoBrowserInit(wnd)
{
	if(wnd.navigator.appName.indexOf("Mi")!=-1)
		geoBrowser=0;
	else if(wnd.navigator.appName.indexOf("Op")!=-1)
		geoBrowser=2;
	else
		geoBrowser=1;
}
